<div class="card shadow mb-5">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-info">Header</h6>
    </div>
    <div class="card-body">
        <form action="{% url 'profile:admin_setting_carabayar' %}" method="POST" enctype="multipart/form-data">
            {% csrf_token %}
            <input type="hidden" name="jenis" value="overview">
            <!-- ALAMAT -->
            <div class="form-row mb-2" id="edit-alamat">
                <label class="col-sm-2 col-form-label">Judul</label>
                <div class="col-10">
                    <textarea class="form-control" required maxlength="255" name="highlight" rows="3">{{highlight.keterangan}}</textarea>
                    <small>Highlight akan ditampilkan di halaman cara bayar.</small>
                </div>
            </div>
            <hr class="mb-2">

            <!-- LINK ALAMAT -->
            <div class="form-row mb-2" id="edit-alamat_link">
                <label class="col-sm-2 col-form-label">Deskripsi</label>
                <div class="col-10">
                    <textarea class="form-control" required name="deskripsi" rows="3">{{deskripsi.keterangan}}</textarea>
                    <small>Deskripsi akan ditampilkan pada halaman cara bayar.</small>
                </div>
            </div>
            <hr class="mb-2">

            <!-- Embed Maps -->
            <div class="form-row mb-2" id="edit-embed_maps">
                <label class="col-sm-2 col-form-label">Embed Maps</label>
                <div class="col-10">
                    <input type="text" class="form-control" required name="embed_maps_bayar" value="{{embed.keterangan}}">
                    <small>Sematkan Peta di halaman Cara Bayar.</small>
                </div>
            </div>
            <hr class="mb-2">

            <div class="form-row mb-2" id="edit-image">
                {% if image.image %}
                    <div class="col col-md-12 text-center" id="old-image">
                        <img class="img-responsive" style="max-width: 100%; max-height: 100%;" src="{{image.image.url}}" alt="">
                        <p><small>File foto lama.</small></p>
                    </div>
                {% endif %}
                <label class="col-sm-2 col-form-label">Image</label>
                <div class="col-10">
                    <input type="file" class="form-control" name="image" id="image">
                    <small>Foto akan ditampilkan di Halaman Cara Bayar".</small>
                </div>
            </div>
            <hr class="mb-2">

            <div class="col">
                <button type="submit" class="btn btn-success confirm-form" id="simpan-overview">Ubah</button>
            </div>
        </form>
    </div>
</div>

<div class="card shadow mb-5">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-info">Informasi Pembayaran</h6>
    </div>
    <div class="card-body">
        <form action="{% url 'profile:admin_setting_carabayar' %}" method="POST">
            {% csrf_token %}
            <input type="hidden" name="jenis" value="pembayaran">
            <!-- Facebook -->
            <div class="form-row mb-2" id="edit-facebook">
                <label class="col-sm-2 col-form-label">Jenis Bank</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="bank" value="{{bank.keterangan}}">
                </div>
            </div>
            <hr class="mb-2">
            <div class="form-row mb-2" id="edit-link_facebook">
                <label class="col-sm-2 col-form-label">Nomor Rekening</label>
                <div class="col-10">
                    <input type="number" class="form-control" required maxlength="255" name="norek" value="{{norek.keterangan}}">
                </div>
            </div>
            <hr class="mb-2">
            <!-- Twitter -->
            <div class="form-row mb-2" id="edit-link_twitter">
                <label class="col-sm-2 col-form-label">Atas Nama</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="an" value="{{an.keterangan}}">
                </div>
            </div>
            <hr class="mb-2">

            <div class="col">
                <button type="submit" class="btn btn-success confirm-form" id="simpan-penduduk">Ubah</button>
            </div>
        </form>
    </div>
</div>

<div class="card shadow mb-5">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-info">FAQ</h6>
    </div>
    <div class="card-body">
        <!-- <form action="{% url 'profile:admin_setting_infografis' %}" method="POST">
            {% csrf_token %}
            <input type="hidden" name="jenis" value="faq"> -->

<!-- Form Awal -->
<form id="faqForm" method="post" action="{% url 'profile:admin_setting_carabayar' %}">
    {% csrf_token %}
    <input type="hidden" name="jenis" value="faq">

    {% if faq %}
        {% for x in faq %}
            <div class="form-row mb-2" id="edit-highlight1">
                <label class="col-sm-2 col-form-label" for="h1">Topik</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="h1" id="h1" value="{{x.highlight}}">
                </div>
            </div>

            <div class="form-row mb-2" id="edit-lazada1">
                <label class="col-sm-2 col-form-label" for="p1">Pertanyaan</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="p1" id="p1" value="{{ x.pertanyaan }}">
                </div>
            </div>

            <div class="form-row mb-2" id="edit-shope1">
                <label class="col-sm-2 col-form-label" for="j1">Jawaban</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="j1" id="j1" value="{{ x.jawaban }}">
                </div>
            </div>
            <br>
        {% endfor %}
    {% endif %}

    <div class="form-group">
        <label for="f1">Tambah FAQ?</label>
        <div class="form-check">
            <input class="form-check-input" type="radio" name="enablePromo" value="yes" id="enablePromoYes">
            <label style="margin-right: 30px;" class="form-check-label" for="enablePromoYes">
                Yes
            </label>
            <input class="form-check-input" type="radio" name="enablePromo" value="no" id="enablePromoNo" checked>
            <label class="form-check-label" for="enablePromoNo">
                No
            </label>
        </div>
    </div>
</form>

<!-- Tombol Simpan -->
<button type="button" id="submitButton" class="btn btn-success">Simpan</button>

<!-- JavaScript -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js" integrity="sha512-3gJwYpMe3QewGELv8k/BX9vcqhryRdzRMxVfq6ngyWXwo03GFEzjsUm8Q7RZcHPHksttq7/GFoxjCVUjkjvPdw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script>
    $(document).ready(function() {
        var numInputs = 1; // Jumlah inputan awal

        // Ketika ada perubahan pada radio button enablePromo
        $('input[name="enablePromo"]').change(function() {
            if ($(this).val() === 'yes') {
                // Tambahkan inputan baru jika radio button "Yes" dipilih
                numInputs++;
                showInput(numInputs);
                $(this).prop('checked', false); // Uncheck radio button "Yes" setelah ditambahkan inputan baru
            }
        });

        // Fungsi untuk menampilkan inputan
        function showInput(index) {
            var newInput = `
                <div class="form-row mb-2" id="edit-highlight${index}">
                    <label class="col-sm-2 col-form-label" for="h${index}">Highlight</label>
                    <div class="col-10">
                        <input type="text" class="form-control" required maxlength="255" name="h${index}" id="h${index}">
                    </div>
                </div>

                <div class="form-row mb-2" id="edit-lazada${index}">
                    <label class="col-sm-2 col-form-label" for="p${index}">Pertanyaan</label>
                    <div class="col-10">
                        <input type="text" class="form-control" required maxlength="255" name="p${index}" id="p${index}">
                    </div>
                </div>

                <div class="form-row mb-2" id="edit-shope${index}">
                    <label class="col-sm-2 col-form-label" for="j${index}">Jawaban</label>
                    <div class="col-10">
                        <input type="text" class="form-control" required maxlength="255" name="j${index}" id="j${index}">
                    </div>
                </div>
                <br>
            `;

            $('#faqForm').append(newInput);
        }

        $('#submitButton').click(function() {
            var inputs = $('#faqForm input[type="text"]');
            var isEmpty = false;

            inputs.each(function() {
                if ($(this).val() === '') {
                    isEmpty = true;
                    return false;
                }
            });

            if (isEmpty) {
                alert('Semua input harus diisi!');
                return false;
            }

            $('#faqForm').submit();
        });
    });
</script>
            
            <!-- <div class="form-row mb-2" id="edit-lazada">
                <label class="col-sm-2 col-form-label" for="p1">Pertanyaan</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="p1" id="p1" value="{{lazada.keterangan}}">
                </div>
            </div>

            
            <div class="form-row mb-2" id="edit-shope">
                <label class="col-sm-2 col-form-label" for="j1">Jawaban</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="j1" id="j1" value="{{shopee.keterangan}}">
                </div>
            </div>
            

            <div class="form-group">
                <label for="f1">Tambah FAQ?</label>
                <div class="form-check">
                  <input class="form-check-input" type="radio" name="enablePromo" id="enableF1Yes" value="yes">
                  <label style="margin-right: 30px;" class="form-check-label" for="enablef1Yes">
                    Yes
                  </label>
        
                  <input class="form-check-input" type="radio" name="enablePromo" id="enableF1No" value="no" checked>
                  <label class="form-check-label" style="margin-right: 30px;" for="enablef1No">
                    No
                  </label>

                  <input class="form-check-input" type="radio" name="enablePromo" id="f1back" value="back">
                  <label class="form-check-label" for="f1back">
                    Back
                  </label>
                </div>
            </div>

            <div class="form-row mb-2" id="edit-lazada">
                <label class="col-sm-2 col-form-label" for="p2">Pertanyaan</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="p2" id="p2" value="{{lazada.keterangan}}">
                </div>
            </div>

            <div class="form-row mb-2" id="edit-shope">
                <label class="col-sm-2 col-form-label" for="j2">Jawaban</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="j2" id="j2" value="{{shopee.keterangan}}">
                </div>
            </div>

            <div class="form-group">
                <label for="f2">Tambah FAQ?</label>
                <div class="form-check">
                  <input class="form-check-input" type="radio" name="enablePromo" id="enableF2Yes" value="yes">
                  <label style="margin-right: 30px;" class="form-check-label" for="enablef2Yes">
                    Yes
                  </label>
        
                  <input class="form-check-input" type="radio" name="enablePromo" id="enableF2No" value="no" checked>
                  <label class="form-check-label" style="margin-right: 30px;" for="enablef2No">
                    No
                  </label>

                  <input class="form-check-input" type="radio" name="enablePromo" id="f2back" value="back">
                  <label class="form-check-label" for="f2back">
                    Back
                  </label>
                </div>
            </div>

            <div class="form-row mb-2" id="edit-lazada">
                <label class="col-sm-2 col-form-label" for="p3">Pertanyaan</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="p3" id="p3" value="{{lazada.keterangan}}">
                </div>
            </div>

            <div class="form-row mb-2" id="edit-shope">
                <label class="col-sm-2 col-form-label" for="j3">Jawaban</label>
                <div class="col-10">
                    <input type="text" class="form-control" required maxlength="255" name="j3" id="j3" value="{{shopee.keterangan}}">
                </div>
            </div> -->

            <!-- <div class="col">
                <button type="submit" class="btn btn-success confirm-form" id="simpan-penduduk">Ubah</button>
            </div>
        </form> -->
    </div>
</div>